#pragma once
#include <iostream>
#include <vector>
#include "RLDoom_Color.h"

namespace RLDoom {
	namespace Graphics {
		struct Post {
			uint8_t topdelta;
			uint8_t length;
			std::basic_string<uint8_t> data;
		};
		struct Patch {
			uint16_t width, height, left, top;
			std::vector<uint32_t> columnsofs;
			std::vector<PaletteColor> pixels;
		};
		Patch LoadPatch(std::string data);
	}
}