#include "RLDoom_Utils.h"

bool RLDoom::Utils::Strings::IterativeComp(std::string originalString, int startPointer, std::string toCompare)
{
	bool retVal = true;
	for (int i = 0; i < toCompare.length(); i++) {
		retVal = originalString.at(startPointer + i) == toCompare.at(i);
		if (retVal == false) break;
	}
	return retVal;
}

std::string RLDoom::Utils::Strings::IterativeStringExcerpt(std::string originalString, int startPointer, int length)
{
	std::string retval = "";

	for (int i = 0; i < length; i++) {
		retval += originalString[startPointer + i];
	}

	return retval;
}

int32_t RLDoom::Utils::Strings::StringIndexToInteger_4b_le(std::string originalString, int startPointer)
{
	int32_t retval;

	retval = (unsigned char)originalString.at(startPointer + 3) << 24;
	retval += (unsigned char)originalString.at(startPointer + 2) << 16;
	retval += (unsigned char)originalString.at(startPointer + 1) << 8;
	retval += (unsigned char)originalString.at(startPointer);
	

	return retval;
}

int32_t RLDoom::Utils::Strings::StringIndexToInteger_2b_le(std::string originalString, int startPointer)
{
	int32_t retval;

	retval = (unsigned char)originalString.at(startPointer + 1) << 8;
	retval += (unsigned char)originalString.at(startPointer);


	return retval;
}
